| DocBook: The Definitive Guide 2.0.17 (Alpha)

# colgroup

colgroup — A group of columns in an HTML table

## Synopsis

### Content Model

    colgroup ::=
    (col)*

### Attributes

Name | Type | Default
arch | CDATA | None
ondblclick | CDATA | None
os | CDATA | None
onkeydown | CDATA | None
onkeyup | CDATA | None
userlevel | CDATA | None
onmouseup | CDATA | None
id | ID | None
wordsize | CDATA | None
onmouseover | CDATA | None

align

Enumeration:
center
char
justify
left
right

None

lang | CDATA | None
xreflabel | CDATA | None

valign

Enumeration:
baseline
bottom
middle
top

None

xml:base | CDATA | None
revision | CDATA | None
onkeypress | CDATA | None
onmousedown | CDATA | None
security | CDATA | None
span | CDATA | "1"
onclick | CDATA | None
title | CDATA | None
class | CDATA | None
width | CDATA | None
conformance | NMTOKENS | None

dir

Enumeration:
lro
ltr
rlo
rtl

None

charoff | CDATA | None
remap | CDATA | None
style | CDATA | None
onmousemove | CDATA | None
onmouseout | CDATA | None
xml:lang | NMTOKEN | None
char | CDATA | None

revisionflag

Enumeration:
added
changed
deleted
off

None

vendor | CDATA | None
condition | CDATA | None

## Description

Identifies a column group in an HTML table.

### Processing expectations

Processed like an HTML `colgroup`.

### Parents

These elements contain colgroup: `informaltable`, `table`.

### Children

The following elements occur in colgroup: `col`.

## Attributes

FIXME: common HTML attributes...

align

  FIXME:

char

  FIXME:

charoff

  FIXME:

span

  FIXME:

style

  FIXME:

title

  FIXME:

valign

  FIXME:

width

  FIXME:

col |  | collab

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.